services:
  joplin-db-1:
    command:
    - postgres
    container_name: joplin-db-1
    entrypoint:
    - docker-entrypoint.sh
    environment:
      GOSU_VERSION: '1.17'
      LANG: en_US.utf8
      PATH: /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/lib/postgresql/16/bin
      PGDATA: /var/lib/postgresql/data
      PG_MAJOR: '16'
      PG_VERSION: 16.10-1.pgdg13+1
      POSTGRES_DB: joplin
      POSTGRES_PASSWORD: '***SENSITIVE_VALUE*** (jopl...)'
      POSTGRES_USER: joplin
    image: postgres:16
    ports:
    - 5432:5432/tcp
    restart: unless-stopped
    stop_signal: SIGINT
    volumes:
    - /data/compose/102/data/postgres:/var/lib/postgresql/data:rw
